# Introduction

Ce projet a pour objectif de vous guider tout au long de la réalisation d'un jeu simple en Python.

Voici les étapes de travail :

## Pour commencer

Avant toutes choses, il vous faut vérifier votre environnement de travail. Ce projet a été élaboré les bases suivantes.

- **Python 3.9** : pour tester, ouvrez un terminal et exécutez la commande `python -V` qui devrait vous retourner `Python 3.9.0`. De légères différences de version ne devraient toutefois pas poser de problème.
- **Pip** : nécessaire pour installer les packages additionnels Python. Pour vérifier : `pip -V` devrait vous donner un numéro de version supérieur à 20, et en relation avec votre version de Python. En cas de problème avec l'une ou l'autre de ces deux dernières vérifications, le plus simple est de retirer complètement Python et de le réinstaller selon la méthode vue au cours. (Attention notamment au PATH)
- **Virtualenv** : nécessaire pour travailler dans des environnements Python virtuels de travail. Pour vérifier la présence de ce programme : `virtualenv --version` devrait, comme pip, vous donner un numéro de version supérieur à 20 et en relation avec votre version de Python.
- **Git** : pour la gestion des différentes versions de votre projet, des corrections, etc. La commande `git --version` devrait vous donner une version 2.X.X. Si ce n'est pas le cas, il vous faut alors l'installer. Avec votre gestionnare de paquets (apt, choco, etc.) ou à défaut à partir du [site de l'éditeur ](https://git-scm.com/downloads).
- **VS Code** : attention à ce que tout le reste soit bien présent et à installer le module Python de vscode.

## Déroulement de votre travail

1. Il vous faudra d'abord commencer par *forker* (bifurquer) ce dépôt dans les vôtres sur [le site git de l'école](https://git.techprog.be).
1. Ensuite seulement, vous allez cloner celui-ci dans un de vos dossiers local de développement.
1. Une fois le dossier *paf-loiseau* rapatrié, vous ouvrirez celui-ci avec vscode.

## Étapes de développement

Le dépôt que vous avez cloné est positionné sur sa branche principale (master) comportant ce fichier, le fichier de licence et le fichier .gitignore. 

Le déroulement du projet est organisé selon une introduction et quatres chapitres. À chacune de ces sections correspondent **deux** branches :
- une qui correspond aux explications et à la situation de départ (-start),
- l'autre correspondant à la situation finale attendue (-end).

Voici les étapes de travail pour chaque section :
1. Basculez sur la branche '-start' de la partie sur laquelle vous allez travailler :

![Basculer sur une branche](https://i.imgur.com/9oDvA16.gif)

2. En suivant les instructions et explications du chapitre (clic droit sur le fichier .md dans vscode, puis 'open preview') vous allez modifier ce qui doit l'être en validant vos changement au fur et à mesure dans git:

![Validation des changements dans git](https://i.imgur.com/QOfXpBQ.gif)

3. Pour publier vos changments locaux sur votre dépôt distant (https://git.techprog.be) :

![Publication des changements git](https://i.imgur.com/RU8IwGz.gif)

4. Pour comparer votre travail avec celui du cours, vous pouvez basculer sur la branche -end de la section sur laquelle vous travaillez.